#=========================================
# FedBid - Stage DB Auto Startup Script
# Author: Amos Geng@MiCORE Solutions, Inc
# Date: 01:51 AM EST, 09/25/2018
#=========================================

#!/bin/sh


func_set_env() {
        export DATE_TIME=`date  +%m%d%y_%H%M`
        export DB_STARTUP_INTERVAL_SECOND=5
        export SCRIPT_LOCATION=/home/oracle/auto_db_start
        export INSTANCE_NAMES='DB1 DB2'
}



func_auto_startup() {

        for i in $INSTANCE_NAMES
        do
                LOG_NAME='auto_db_start_'$DATE_TIME'_'$i'.log'
                echo "Starting up database ...... "$i
                export ORACLE_SID=$i;
                output=`sqlplus -s / as sysdba <<ENDSQL
                                spool $SCRIPT_LOCATION/$LOG_NAME
                                startup;
                                select instance_name,status,to_char(startup_time, '''HH24:MI DD-MON-YY''') startup_time from v\\$instance;
                                spool off;
                                exit;
ENDSQL`

                sleep $DB_STARTUP_INTERVAL_SECOND
        done
}


main() {
        func_set_env
        func_auto_startup
}


main